<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_cpanel
 *
 * @copyright   Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\Registry\Registry;

$user = JFactory::getUser();
?>
	<div class="row-bs3">
		<div class="col-xs-12">
		<?php $cpanel2 = JModuleHelper::getModules('xiroadmin2');
			if ($cpanel2) : ?>			
						<?php
						// Display the submenu position modules
						foreach ($cpanel2 as $module)
						{
							echo JModuleHelper::renderModule($module, array('style' => 'xhtml'));
						}
						?>
				
			<?php endif; ?>
		</div>
	</div>
	<div class="row-bs3">
		<?php $cpanel3 = JModuleHelper::getModules('xiroadmin3');
			if ($cpanel3) : ?>			
				<?php
				// Display the submenu position modules
				foreach ($cpanel3 as $module)
				{
					echo '<div class="col-xs-12 col-md-6">';
					echo JModuleHelper::renderModule($module, array('style' => 'well'));
					echo '</div>';
				}
				?>		
			<?php endif; ?>	
	</div>
	<div class="row-bs4">
		<?php $cpanel4 = JModuleHelper::getModules('xiroadmin4');
			if ($cpanel4) : ?>			
				<?php
				// Display the submenu position modules
				foreach ($cpanel4 as $module)
				{
					echo '<div class="col-xs-12 col-md-12">';
					echo JModuleHelper::renderModule($module, array('style' => 'xhtml'));
					echo '</div>';
				}
				?>		
			<?php endif; ?>	
	</div>



	<?php $iconmodules = JModuleHelper::getModules('icon');
	if ($iconmodules) : ?>
				<?php
				// Display the submenu position modules
				foreach ($iconmodules as $iconmodule)
				{
					JModuleHelper::renderModule($iconmodule);
				}
				?>
	<?php endif; ?>

	
<div class="row-fluid">
	<div class="span12">
		<?php if ($user->authorise('core.manage', 'com_postinstall') && $this->postinstall_message_count) : ?>
			<div class="row-fluid">
				<div class="alert alert-info">
					<h3>
						<?php echo JText::_('COM_CPANEL_MESSAGES_TITLE'); ?>
					</h3>
					<p>
						<?php echo JText::_('COM_CPANEL_MESSAGES_BODY_NOCLOSE'); ?>
					</p>
					<p>
						<?php echo JText::_('COM_CPANEL_MESSAGES_BODYMORE_NOCLOSE'); ?>
					</p>
					<p>
						<a href="index.php?option=com_postinstall&amp;eid=700" class="btn btn-primary">
							<?php echo JText::_('COM_CPANEL_MESSAGES_REVIEW'); ?>
						</a>
					</p>
				</div>
			</div>
		<?php endif; ?>
		<div class="row-fluid">
			<?php
			$spans = 0;

			foreach ($this->modules as $module)
			{
				// Get module parameters
				$params = new Registry($module->params);
				$bootstrapSize = $params->get('bootstrap_size');
				if (!$bootstrapSize)
				{
					$bootstrapSize = 12;
				}
				$spans += $bootstrapSize;
				if ($spans > 12)
				{
					echo '</div><div class="row-fluid">';
					$spans = $bootstrapSize;
				}
				echo JModuleHelper::renderModule($module, array('style' => 'well'));
			}
			?>
		</div>
	</div>
</div>